## kteatime 20.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "0")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kteatime VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.57.0")


find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

# Search KDE installation
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
  Core
  Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
  Config
  Crash
  DocTools
  I18n
  IconThemes
  NotifyConfig
  Notifications
  TextWidgets
  XmlGui
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)

add_definitions(-DQT_NO_FOREACH)

ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(data)
ADD_SUBDIRECTORY(src)

install(FILES org.kde.kteatime.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
kteatime (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Update build dependencies according to the upstream build system:
    - Qt >= 5.12
    - KF5 >= 5.57
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Eshat Cakar, Maximiliano Curia, Modestas Vainius from the
    uploaders, thanks for your work on the package!
  * Added myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Jan 2021 22:16:50 +0100

=== debian/control ===
Source: kteatime
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.57.0~),
               gettext,
               libkf5config-dev (>= 5.57.0~),
               libkf5crash-dev (>= 5.57.0~),
               libkf5doctools-dev (>= 5.57.0~),
               libkf5i18n-dev (>= 5.57.0~),
               libkf5iconthemes-dev (>= 5.57.0~),
               libkf5notifications-dev (>= 5.57.0~),
               libkf5notifyconfig-dev (>= 5.57.0~),
               libkf5textwidgets-dev (>= 5.57.0~),
               libkf5xmlgui-dev (>= 5.57.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kteatime
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kteatime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kteatime.git

Package: kteatime
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: utility for making a fine cup of tea
 KTeaTime is a handy timer for steeping tea. No longer will you have to
 guess at how long it takes for your tea to be ready. Simply select the
 type of tea you have, and it will alert you when the tea is ready to
 drink.
 .
 This package is part of the KDE toys module.

## kteatime 20.12.3

=== debian/changelog ===
kteatime (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:26:06 +0000

kteatime (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:59:20 +0000

kteatime (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:13:18 +0000

## kteatime 21.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
 set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kteatime VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.57.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.83.0")
 
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
@@ -38,8 +38,8 @@
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(FeatureSummary)
-
-add_definitions(-DQT_NO_FOREACH)
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 ADD_SUBDIRECTORY(doc)
 ADD_SUBDIRECTORY(data)

=== debian/control ===
Source: kteatime
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               gettext,
               libkf5config-dev (>= 5.83.0~),
               libkf5crash-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5iconthemes-dev (>= 5.83.0~),
               libkf5notifications-dev (>= 5.83.0~),
               libkf5notifyconfig-dev (>= 5.83.0~),
               libkf5textwidgets-dev (>= 5.83.0~),
               libkf5xmlgui-dev (>= 5.83.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kteatime
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kteatime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kteatime.git

Package: kteatime
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: utility for making a fine cup of tea
 KTeaTime is a handy timer for steeping tea. No longer will you have to
 guess at how long it takes for your tea to be ready. Simply select the
 type of tea you have, and it will alert you when the tea is ready to
 drink.
 .
 This package is part of the KDE toys module.

## kteatime 21.08.1

=== debian/changelog ===
kteatime (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:38:12 +0100

kteatime (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:07:33 +0100

kteatime (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:01:38 +0100

kteatime (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:37:19 +0100

kteatime (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:48:44 +0100

kteatime (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:45:47 +0100

kteatime (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:12:20 +0100

kteatime (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:42:35 +0100

## kteatime 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,19 +2,23 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kteatime VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.83.0")
+set(KF5_MIN_VERSION "5.85.0")
 
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+include(FeatureSummary)
 
 # Search KDE installation
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
@@ -33,13 +37,12 @@
   TextWidgets
   XmlGui
 )
-
-include(KDEInstallDirs)
-include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
-include(FeatureSummary)
-set(CMAKE_CXX_STANDARD 17)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
+add_definitions(
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
+    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055500
+    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
+)
 
 ADD_SUBDIRECTORY(doc)
 ADD_SUBDIRECTORY(data)

=== doc/CMakeLists.txt ===
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kteatime)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kteatime\")
add_executable(kteatime)

target_sources(kteatime PRIVATE settings.cpp timeedit.cpp toplevel.cpp tealistmodel.cpp tea.cpp main.cpp )

set_property(SOURCE main.cpp APPEND PROPERTY COMPILE_DEFINITIONS "KTEATIME_VERSION=\"${kteatime_VERSION}\"")

ki18n_wrap_ui(kteatime settings.ui timeedit.ui)

target_link_libraries(kteatime
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::Crash
    KF5::I18n
    KF5::IconThemes
    KF5::Notifications
    KF5::NotifyConfig
    KF5::TextWidgets
    KF5::XmlGui
)

install( TARGETS kteatime ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
install( PROGRAMS org.kde.kteatime.desktop  DESTINATION ${KDE_INSTALL_APPDIR} )
install( FILES kteatime.notifyrc  DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} )

=== debian/changelog ===
kteatime (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:15:53 +0000

kteatime (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:22:28 +0000

kteatime (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:30:17 +0000

kteatime (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:27:26 +0000

kteatime (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:11:46 +0000

kteatime (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:22:37 +0000

kteatime (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:29:54 +0000

kteatime (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:45:01 +0000

=== debian/control ===
Source: kteatime
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.57.0~),
               gettext,
               libkf5config-dev (>= 5.57.0~),
               libkf5crash-dev (>= 5.57.0~),
               libkf5doctools-dev (>= 5.57.0~),
               libkf5i18n-dev (>= 5.57.0~),
               libkf5iconthemes-dev (>= 5.57.0~),
               libkf5notifications-dev (>= 5.57.0~),
               libkf5notifyconfig-dev (>= 5.57.0~),
               libkf5textwidgets-dev (>= 5.57.0~),
               libkf5xmlgui-dev (>= 5.57.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kteatime
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kteatime
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kteatime

Package: kteatime
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: utility for making a fine cup of tea
 KTeaTime is a handy timer for steeping tea. No longer will you have to
 guess at how long it takes for your tea to be ready. Simply select the
 type of tea you have, and it will alert you when the tea is ready to
 drink.
 .
 This package is part of the KDE toys module.

## kteatime 22.08.1

=== debian/changelog ===
kteatime (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:45:09 +0100

kteatime (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:54:32 +0100

kteatime (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:32:19 +0100

kteatime (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:06:52 +0100

kteatime (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:05:56 +0100

kteatime (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:53:16 +0100

## kteatime 22.12.0

=== debian/changelog ===
kteatime (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:53 +0100

kteatime (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:04 +0100

kteatime (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 07 Mar 2022 23:27:34 +0100

kteatime (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:27:45 +0900

kteatime (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 17:55:33 +0900

=== debian/control ===
Source: kteatime
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.89.0~),
               gettext,
               libkf5config-dev (>= 5.89.0~),
               libkf5coreaddons-dev (>= 5.89.0~),
               libkf5crash-dev (>= 5.89.0~),
               libkf5doctools-dev (>= 5.89.0~),
               libkf5i18n-dev (>= 5.89.0~),
               libkf5iconthemes-dev (>= 5.89.0~),
               libkf5notifications-dev (>= 5.89.0~),
               libkf5notifyconfig-dev (>= 5.89.0~),
               libkf5textwidgets-dev (>= 5.89.0~),
               libkf5xmlgui-dev (>= 5.89.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kteatime
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kteatime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kteatime.git

Package: kteatime
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: utility for making a fine cup of tea
 KTeaTime is a handy timer for steeping tea. No longer will you have to
 guess at how long it takes for your tea to be ready. Simply select the
 type of tea you have, and it will alert you when the tea is ready to
 drink.
 .
 This package is part of the KDE toys module.

## kteatime 22.12.3

=== debian/changelog ===
kteatime (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:00 +0100

kteatime (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:39:26 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf5xmlgui-dev (>= 5.89.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/kteatime
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kteatime
@@ -29,8 +29,8 @@
 
 Package: kteatime
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: khelpcenter
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Suggests: khelpcenter,
 Description: utility for making a fine cup of tea
  KTeaTime is a handy timer for steeping tea. No longer will you have to
  guess at how long it takes for your tea to be ready. Simply select the

## kteatime 23.04.0

=== debian/changelog ===
kteatime (4:23.04.0-0xneon+22.04+jammy+release+build15) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 19:11:36 +0000

kteatime (4:23.04.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 16:22:23 +0000

kteatime (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 03 Mar 2023 17:20:21 +0000

kteatime (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:17:21 +0000

kteatime (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:54:31 +0000

kteatime (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:58:15 +0000

kteatime (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:20:15 +0000

kteatime (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:39:07 +0000

kteatime (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 14:56:19 +0000

kteatime (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:34:18 +0000

kteatime (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:22:03 +0000

kteatime (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:59:34 +0000

kteatime (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:23:29 +0000

kteatime (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:58:51 +0000

kteatime (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:26:39 +0000

kteatime (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:04:13 +0000

kteatime (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:15:04 +0000

kteatime (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021 12:20:12 +0000

kteatime (4:20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:37:46 +0000

kteatime (4:20.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Nov 2020 07:12:28 +0000

kteatime (4:20.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Oct 2020 10:31:56 +0000

kteatime (4:20.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:30:53 +0000

kteatime (4:20.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Aug 2020 09:21:31 +0000

kteatime (4:20.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jul 2020 09:41:29 +0000

kteatime (4:20.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 17 May 2020 22:27:53 +0000

kteatime (4:20.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Apr 2020 17:50:27 +0000

kteatime (4:19.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Mar 2020 11:04:50 +0000

kteatime (4:19.12.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Feb 2020 13:46:36 +0000

kteatime (4:19.12.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Jan 2020 17:16:18 +0000

kteatime (4:19.12.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2019 18:55:03 +0000

kteatime (4:19.08.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Nov 2019 10:15:39 +0000

kteatime (4:19.08.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Oct 2019 18:14:06 +0000

kteatime (4:19.08.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Sep 2019 14:27:27 +0000

kteatime (4:19.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Aug 2019 13:24:50 +0000

kteatime (4:19.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 Jul 2019 11:37:18 +0000

kteatime (4:19.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Jun 2019 10:04:47 +0000

kteatime (4:19.04.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 May 2019 06:49:27 +0000

kteatime (4:19.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Apr 2019 14:14:53 +0000

kteatime (4:18.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2019 15:06:09 +0000

## kteatime 23.04.1

=== debian/changelog ===
kteatime (4:23.04.1-0xneon+22.04+jammy+release+build17) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 May 2023 12:40:15 +0000

kteatime (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 19:11:32 +0000

=== debian/control ===
Source: kteatime
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 1.3.0~),
               libkf5config-dev (>= 5.23.0~),
               libkf5crash-dev (>= 5.23.0~),
               libkf5doctools-dev (>= 5.23.0~),
               libkf5i18n-dev (>= 5.23.0~),
               libkf5iconthemes-dev (>= 5.23.0~),
               libkf5notifications-dev (>= 5.23.0~),
               libkf5notifyconfig-dev (>= 5.23.0~),
               libkf5textwidgets-dev (>= 5.23.0~),
               libkf5widgetsaddons-dev (>= 5.0.0~),
               libkf5xmlgui-dev (>= 5.23.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4)
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kteatime.git
Vcs-Browser: https://invent.kde.org/neon/kde/kteatime
Maintainer: Neon CI <neon@kde.org>

Package: kteatime
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: utility for making a fine cup of tea
 KTeaTime is a handy timer for steeping tea. No longer will you have to
 guess at how long it takes for your tea to be ready. Simply select the
 type of tea you have, and it will alert you when the tea is ready to
 drink.
 .
 This package is part of the KDE toys module.

## kteatime 23.04.2

=== debian/changelog ===
kteatime (4:23.04.2-0xneon+22.04+jammy+release+build18) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 13:11:38 +0000

kteatime (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:47:36 +0000

## kteatime 23.08.0

=== debian/changelog ===
kteatime (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:59:27 +0100

kteatime (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:38:55 +0100

kteatime (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:53:36 +0100

kteatime (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:00:23 +0100

kteatime (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:43:03 +0000

kteatime (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:24:45 -0600

kteatime (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:18:52 +0000

kteatime (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 30 Dec 2022 13:37:00 +0000

kteatime (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:14:32 +0000

kteatime (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:10:46 +0000

kteatime (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:53:50 +0000

kteatime (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:13:44 +0000

## kteatime 23.08.1

=== debian/changelog ===
kteatime (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:04:25 +0100

## kteatime 23.08.4

=== debian/changelog ===
kteatime (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:20:38 +0000

kteatime (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:40:53 +0000

kteatime (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:36:38 +0100

## kteatime 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "5")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kteatime VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.0")
set(KF_MIN_VERSION "5.92.0")


find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMDeprecationSettings)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

# Search KDE installation
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED
  Core
  Widgets
)

find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED
  Config
  CoreAddons
  Crash
  GuiAddons
  I18n
  IconThemes
  NotifyConfig
  Notifications
  TextWidgets
  XmlGui
)
find_package(KF${KF_MAJOR_VERSION}DocTools ${KF_MIN_VERSION})
set_package_properties(KF${KF_MAJOR_VERSION}DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.101.0)
ADD_SUBDIRECTORY(data)
ADD_SUBDIRECTORY(src)
ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

install(FILES org.kde.kteatime.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kteatime (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:48:54 +1100

kteatime (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:23:52 +0000

kteatime (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:18:17 -0700

=== debian/control ===
Source: kteatime
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.89.0~),
               gettext,
               libkf5config-dev (>= 5.89.0~),
               libkf5coreaddons-dev (>= 5.89.0~),
               libkf5crash-dev (>= 5.89.0~),
               libkf5doctools-dev (>= 5.89.0~),
               libkf5i18n-dev (>= 5.89.0~),
               libkf5iconthemes-dev (>= 5.89.0~),
               libkf5notifications-dev (>= 5.89.0~),
               libkf5notifyconfig-dev (>= 5.89.0~),
               libkf5textwidgets-dev (>= 5.89.0~),
               libkf5xmlgui-dev (>= 5.89.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kteatime
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kteatime
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kteatime

Package: kteatime
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: utility for making a fine cup of tea
 KTeaTime is a handy timer for steeping tea. No longer will you have to
 guess at how long it takes for your tea to be ready. Simply select the
 type of tea you have, and it will alert you when the tea is ready to
 drink.
 .
 This package is part of the KDE toys module.

## kteatime 24.08.2

=== debian/changelog ===
kteatime (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:59:52 -0500

kteatime (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 02 Nov 2024 13:35:17 -0500

## kteatime 24.12.0

=== debian/changelog ===
kteatime (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 24 Dec 2024 00:34:34 +0100

=== debian/control ===
Source: kteatime
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6guiaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6notifyconfig-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kteatime
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kteatime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kteatime.git

Package: kteatime
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: khelpcenter,
Description: utility for making a fine cup of tea
 KTeaTime is a handy timer for steeping tea. No longer will you have to
 guess at how long it takes for your tea to be ready. Simply select the
 type of tea you have, and it will alert you when the tea is ready to
 drink.
 .
 This package is part of the KDE toys module.

## kteatime 24.12.1

=== debian/changelog ===
kteatime (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:38:13 +0000

kteatime (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:19:57 +0000

kteatime (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:13:47 +0000

kteatime (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 15:12:49 +0000

kteatime (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:45:49 +0000

## kteatime 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kteatime VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.7.0")
set(KF_MIN_VERSION "6.3.0")


find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMDeprecationSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)

# Search KDE installation
find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
  Core
  Widgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED
  Config
  CoreAddons
  Crash
  GuiAddons
  I18n
  IconThemes
  NotifyConfig
  Notifications
  TextWidgets
  XmlGui
)
find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.5.0)
ADD_SUBDIRECTORY(data)
ADD_SUBDIRECTORY(src)
ki18n_install(po)
if (KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

install(FILES org.kde.kteatime.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kteatime\")
add_executable(kteatime)

target_sources(kteatime PRIVATE settings.cpp timeedit.cpp toplevel.cpp tealistmodel.cpp tea.cpp main.cpp )

set_property(SOURCE main.cpp APPEND PROPERTY COMPILE_DEFINITIONS "KTEATIME_VERSION=\"${kteatime_VERSION}\"")

ki18n_wrap_ui(kteatime settings.ui timeedit.ui)

target_link_libraries(kteatime
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::GuiAddons
    KF6::Crash
    KF6::I18n
    KF6::IconThemes
    KF6::Notifications
    KF6::NotifyConfig
    KF6::TextWidgets
    KF6::XmlGui
)

install( TARGETS kteatime ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
install( PROGRAMS org.kde.kteatime.desktop  DESTINATION ${KDE_INSTALL_APPDIR} )
install( FILES kteatime.notifyrc  DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR} )

=== data/icons/CMakeLists.txt ===
ecm_install_icons(ICONS
    16-apps-kteatime.png
    22-apps-kteatime.png
    32-apps-kteatime.png
    48-apps-kteatime.png
    64-apps-kteatime.png
    sc-apps-kteatime.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== debian/changelog ===
kteatime (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:47:57 +0000

kteatime (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:21:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: kteatime
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               cmake (>= 3.16~),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
                libkf6config-dev (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),
                libkf6crash-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.3.0~),
-               libkf6guiaddons-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
                libkf6iconthemes-dev (>= 6.3.0~),
                libkf6notifications-dev (>= 6.3.0~),
@@ -25,8 +25,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/kteatime
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kteatime
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kteatime.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kteatime
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kteatime
 
 Package: kteatime
 Architecture: any

## kteatime 25.04.0

=== debian/changelog ===
kteatime (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:46:03 +0200

=== debian/control ===
Source: kteatime
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6guiaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6notifyconfig-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/kteatime/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kteatime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kteatime.git

Package: kteatime
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: khelpcenter,
Description: utility for making a fine cup of tea
 KTeaTime is a handy timer for steeping tea. No longer will you have to
 guess at how long it takes for your tea to be ready. Simply select the
 type of tea you have, and it will alert you when the tea is ready to
 drink.
 .
 This package is part of the KDE toys module.

## kteatime 25.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
kteatime (4:25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 25 Jul 2025 00:43:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                cmake (>= 3.16~),

## kteatime 25.07.80

=== debian/changelog ===
kteatime (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Update build depends.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:21:04 +0100

kteatime (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:52:19 +0100

kteatime (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:56:21 +0100

kteatime (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:14:39 +0100

kteatime (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:58:55 +0100

## kteatime 25.07.90

=== debian/changelog ===
kteatime (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:56:29 +0100
